This page was created by the IDL library routine `mk_html_help2`.

Last modified: Tue Sep 23 18:17:45 2025.

# Directory Listing of Routines

# projects/erg/ground/camera

- ERG_LOAD_CAMERA_OMTI_ASI
  To load the OMTI ASI data from the ISEE ERG-SC site
- KEOGRAM_IMAGE
  Create the keogram of image data at a spesific location.
- OMTI_ATTITUDE_PARAMS
  Output the OMTI Imager Attitude Parameters for Coordinate Transformation.
- PLOT_OMTI_GMAP[1]
  Create the two-dimensional map of image data in geographic coordinates.
- PLOT_OMTI_GMAP[2]
  Create the two-dimensional map of image data.
- RM_STAR_ABSINT
  Remove star lights with a median filter.
- SEARCH_OMTI_CALIBRATION_FILE
  Select the OMTI calibration file for site and wavelength at the specified date.
- TABSINT
  Calculates the absolute intensity [R] with raw, background, and calibration data,
- TABSINT_NOBG
  Calculates the absolute intensity [R] with raw and calibration data,
- TASI2GMAP
  Create the image data in geographic coordinates, and store tplot variable:
- TMAKE_IMAGE_DEV
  Calculates the deviation of image data from 1-hour verage data and store tplot variable:
- TMAKE_MAP_TABLE
  Create the mapping table in geographic coordinates, and store tplot variable:

# Routine Descriptions

## ERG_LOAD_CAMERA_OMTI_ASI

[Next Routine] [List of Routines]

     PROCEDURE: erg_load_camera_omti_asi

     PURPOSE:
       To load the OMTI ASI data from the ISEE ERG-SC site

     KEYWORDS:
       site  = Observatory name, example, erg_load_camera_omti_asi, site='sgk'.
               The default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['sgk', 'sta']
               or a single string delimited by spaces, e.g., 'sgk sta'.
               Sites: abu ath drw eur gak hlk hus isg ist ith kap ktb mgd nai nyr ptk rik rsb sgk sta syo trs yng
       wavelength = Wavelength in Angstrom, i.e., 5577, 6300, 7200, 7774, 5893, etc.
                    The default is 5577. This can be an array of integers, e.g., [5577, 6300]
                    or strings, e.g., '5577', '5577 6300', and ['5577', '6300'].
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       /timeclip, if set, then data are clipped to the time range set by timespan

     EXAMPLE:
       erg_load_camera_omti_asi, site='sgk', wavelength=5577, trange=['2012-01-01/00:00:00','2012-01-02/00:00:00']

     NOTE: See the rules of the road.
           For more information, see http://stdb2.isee.nagoya-u.ac.jp/omti/

     HISTORY:
     2013-03-28: Initial release by Y. Miyashita, Mar 28, 2013
                 ERG-Science Center, ISEE, Nagoya Univ.
                 erg-sc-core at isee.nagoya-u.ac.jp

     2017-09-18: Satoshi Kurita, ISEE, Nagoya U. (kurita at isee.nagoya-u.ac.jp)
                 1. New stations (GAK, KAP, NYR, HUS) are included
                 2. Use spd_download instead of file_retrieve

     2020-03-25: Atsuki Shinbori, ISEE, Nagoya U. (shinbori at isee.nagoya-u.ac.jp)
                 1. New stations (ABU, EUR, HLK, IST, and NAI) are included

     2022-08-05: Atsuki Shinbori, ISEE, Nagoya U. (shinbori at isee.nagoya-u.ac.jp)
                 1. Added exposure time tplot variables.
                 2. New stations (CPN, ZGN))

       $LastChangedDate: 2023-01-11 10:09:14 -0800 (Wed, 11 Jan 2023) $
       $LastChangedRevision: 31399 $

(See projects/erg/ground/camera/erg_load_camera_omti_asi.pro)

## KEOGRAM_IMAGE

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     keogram_image

    PURPOSE:
     Create the keogram of image data at a spesific location.

    SYNTAX:
     keogram_image, vname, lat = lat, lon = lon

    PARAMETERS:
      vname = tplot variable of image data.

      Example:
       plot_omti_gmap, vname, lat = lat, lon = lon

    KEYWOARDS:
      lat = latitude to creat a longitude-time plot of image data.
      lon = longitude to creat a latitude-time plot of image data.

    CODE:
      A. Shinbori, 22/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/keogram_image.pro)

## OMTI_ATTITUDE_PARAMS

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     omti_attitude_params

    PURPOSE:
     Output the OMTI Imager Attitude Parameters for Coordinate Transformation.

    SYNTAX:
     result = omti_attitude_params(date = date, site = site)

    PARAMETERS:
      date = Unix time
      site = Site name (ABB code)

    CODE:
      A. Shinbori, 21/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/omti_attitude_params.pro)

## PLOT_OMTI_GMAP[1]

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     plot_omti_gmap

    PURPOSE:
     Create the two-dimensional map of image data in geographic coordinates.

    SYNTAX:
     plot_omti_gmap, vname, time = time, min_value = min_value, max_value = max_value

    PARAMETERS:
      vname = tplot variable of image data.

      Example:
       plot_omti_gmap, vname, time = time, x_min = x_min, x_max = x_max, y_min = y_min, y_max = y_max, z_min = z_min, z_max = z_max

    KEYWOARDS:
      time = plot time. The default is start time of tplot variable.
      min_value = minimum value of plot range. The default is the minimum value of image data.
      max_value = maximum value of plot range. The default is the maximum value of image data.

    CODE:
      A. Shinbori, 22/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/plot_omti_gmap.pro)

## PLOT_OMTI_GMAP[2]

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     plot_omti_gmap

    PURPOSE:
     Create the two-dimensional map of image data.

    SYNTAX:
     plot_omti_image, vname, time = time, x_min = x_min, x_max = x_max, y_min = y_min, y_max = y_max, z_min = z_min, z_max = z_max

    PARAMETERS:
      vname = tplot variable of image data.

    KEYWOARDS:
      time = plot time. The default is start time of tplot variable.
      x_min = minimum value of x range. The default is the minimum value of image size.
      x_max = maximum value of x range. The default is the maximum value of image size.
      y_min = minimum value of y range. The default is the minimum value of image size.
      y_max = maximum value of y range. The default is the maximum value of image size.
      z_min = minimum value of z range. The default is the minimum value of image data.
      z_max = maximum value of z range. The default is the maximum value of image data.

    CODE:
      A. Shinbori, 22/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/plot_omti_image.pro)

## RM_STAR_ABSINT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    rm_star_absint

    PURPOSE:
     Remove star lights with a median filter.

    SYNTAX:
     rm_star_absint, img0, img_out, img_size

    KEYWOARDS:
      img0 = input the image data
      img_out = output the image data that remove the star lights
      img_size = tiff size (256 or 512)

    CODE:
      A. Shinbori, 08/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/rm_star_absint.pro)

## SEARCH_OMTI_CALIBRATION_FILE

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     search_omti_calibration_file

    PURPOSE:
     Select the OMTI calibration file for site and wavelength at the specified date.

    SYNTAX:
     result = select_omti_calibration_file(date = date, site = site, wavelength = wavelength, wid0 = wid0)

    PARAMETERS:
      date = Unix time
      site = Site name (ABB code)
      wavelength = Observed wavelength for airglow
      wid0 = 2x2 binning window

    CODE:
      A. Shinbori, 21/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/search_omti_calibration_file.pro)

## TABSINT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     tabsint

    PURPOSE:
     Calculates the absolute intensity [R] with raw, background, and calibration data,
     and store tplot variable:

    SYNTAX:
     tabsint, site = site, wavelength = wavelength

    PARAMETERS:
      site = ABB code of observation site.
      wavelength = wavelength of airglow and background image data.

      Example:
       tabsint, site = 'ath', wavelength = [6300,5725]

    CODE:
      A. Shinbori, 15/07/2022.

    MODIFICATIONS:
      A. Shinbori, 05/08/2022.

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/tabsint.pro)

## TABSINT_NOBG

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     tabsint_nobg

    PURPOSE:
     Calculates the absolute intensity [R] with raw and calibration data,
     and store tplot variable:

    SYNTAX:
     tabsint_nobg, site = site, wavelength = wavelength

    PARAMETERS:
      vname1 = tplot variable of raw data.

      Example
       tabsint_nobg, site = 'ath', wavelength = 6300

    KEYWOARDS:

    CODE:
      A. Shinbori, 05/08/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/tabsint_nobg.pro)

## TASI2GMAP

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     tasi2gmap

    PURPOSE:
     Create the image data in geographic coordinates, and store tplot variable:

    SYNTAX:
     tasi2ggg, vname1, vname2

    PARAMETER:
      vname1 = tplot variable of airgrow data.
      vname2 = tplot variable of map table data.

    KEYWOARDS:

    CODE:
      A. Shinbori, 15/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/tasi2gmap.pro)

## TMAKE_IMAGE_DEV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     tmake_image_dev

    PURPOSE:
     Calculates the deviation of image data from 1-hour verage data and store tplot variable:

    SYNTAX:
     tmake_image_dev, vname, width = width

    PARAMETERS:
      vname = tplot variable of image data.

      Example
       tmake_image_dev, 'omti_asi_sgk_5577_image_raw'

    KEYWOARDS:
      width = Period of data window to calculate the average value.
             The default is 3600 sec.

    CODE:
      A. Shinbori, 15/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/tmake_image_dev.pro)

## TMAKE_MAP_TABLE

[Previous Routine] [List of Routines]

    NAME:
     tmake_map_table

    PURPOSE:
     Create the mapping table in geographic coordinates, and store tplot variable:

    SYNTAX:
     tmake_map_table, vname, mapping_alt = mapping_alt, grid = grid, mapsize = mapsize, in_km = in_km

    PARAMETER:
      vname = tplot variable of airgrow data.

    KEYWOARDS:
      mapping_alt = Mapping altitude.
               The default is 110 km.
      grid = grid size.
             The default is 0.01.
      mapsize = map size.
                The default is an original image size.
      in_km = If in_km is set, unit is km.

    CODE:
      A. Shinbori, 15/07/2022.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:
     $LastChangedDate:
     $LastChangedRevision:
     $URL $

(See projects/erg/ground/camera/tmake_map_table.pro)